libnative-platform-jni_0.14-5_i386.deb


Advertisement

Description

libnative-platform-jni - Java bindings for various native APIs - JNI library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libnative-platform-jni_0.14-5_i386.deb
Package name libnative-platform-jni
Package version 0.14
Package release 5
Package architecture i386
Package type deb
Category java uitoolkit::ncurses
Homepage https://github.com/adammurdoch/native-platform
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 13.37 KB
Installed size 52.00 KB
A collection of cross-platform Java APIs for various native APIs.
Supports OS X, Linux, Solaris and Windows.
These APIs support Java 5 and later. Some of these APIs overlap with APIs
available in later Java versions.
This package contains the java JNI library.

Alternatives

Package Version Architecture Repository
libnative-platform-jni_0.14-5_amd64.deb 0.14 amd64 Debian Main
libnative-platform-jni - - -

Requires

Name Value
libc6 >= 2.9
libgcc1 >= 1:3.0
libncurses6 >= 6
libstdc++6 >= 4.1.1
libtinfo6 >= 6

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnative-platform-jni_0.14-5_i386.deb
Source Package libnative-platform-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnative-platform-jni deb package:
    # sudo apt-get install libnative-platform-jni

Files

Path
/usr/lib/jni/libnative-platform-curses.so
/usr/lib/jni/libnative-platform.so
/usr/share/doc/libnative-platform-jni/changelog.Debian.gz
/usr/share/doc/libnative-platform-jni/copyright

Changelog

2018-07-30 - Emmanuel Bourg <ebourg@apache.org>
libnative-platform-java (0.14-5) unstable; urgency=medium
* Team upload.
* Build depend on default-jdk only (Closes: #898952)
* Standards-Version updated to 4.1.5
2018-05-17 - Emmanuel Bourg <ebourg@apache.org>
libnative-platform-java (0.14-4) unstable; urgency=medium
* Team upload.
* Fixed the build failure with Java 10 (Closes: #898903)
* Standards-Version updated to 4.1.4
* Use salsa.debian.org Vcs-* URLs
2018-03-09 - Kai-Chung Yan (殷啟聰) <seamlikok@gmail.com>
libnative-platform-java (0.14-3) unstable; urgency=medium
* d/control:
* Remove Damien Raude-Morvan from Uploaders (Closes: #889384)
* Update Standards-Version to 4.1.3
* d/Makefile: Move -lcurses to the end of the command, thus fixing a symbol
error in Ubuntu
* Update debhelper compat level to 11
* Remove disabled patches
2017-11-29 - Markus Koschany <apo@debian.org>
libnative-platform-java (0.14-2) unstable; urgency=medium
* Team upload.
* Build javadoc with internal source files and really fix the FTBFS with
OpenJDK 9. (Closes: #874645)
2017-11-23 - Markus Koschany <apo@debian.org>
libnative-platform-java (0.14-1) unstable; urgency=medium
* Team upload.
* New upstream version 0.14.
* Declare compliance with Debian Policy 4.1.1.
* d/copyright: Use https for Format field.
* Update native-platform.pom to version 0.14.
* Fix FTBFS with Java 9.
Thanks to Chris West for the report. (Closes: #874645)
* Require at least a Java 7 compatible JDK.
* Drop PosixFile_rename.patch.
* Refresh libname.diff.
2016-12-02 - Kai-Chung Yan <seamlikok@gmail.com>
libnative-platform-java (0.11-5) unstable; urgency=medium
* d/control: Breaks libgradle-core-java (<< 3.1~) (Closes: #844021)
2016-11-10 - Kai-Chung Yan <seamlikok@gmail.com>
libnative-platform-java (0.11-4) unstable; urgency=medium
* Let libnative-platform-java depends on libnative-platform-jni
(>= ${source:Version})
* Use the original Makefile to build the package instead of Gradle. The
multiarch circular build-dependencies is very tricky to handle
* Remove gradle-debian-helper from Build-Depends
2016-11-08 - Kai-Chung Yan <seamlikok@gmail.com>
libnative-platform-java (0.11-3) unstable; urgency=medium
* Let libnative-platform-java depends on libnative-platform-jni (>= 0.10) so
that previously BD-Uninstallable builds satisfy the BDs
2016-11-08 - Kai-Chung Yan <seamlikok@gmail.com>
libnative-platform-java (0.11-2) unstable; urgency=medium
* Fix the FTBFS on architecutres other than x86
2016-11-02 - Kai-Chung Yan <seamlikok@gmail.com>
libnative-platform-java (0.11-1) unstable; urgency=medium
* New upstream release
* d/copyright: Exclude *.jar
* d/control:
* Depends on default-jdk-headless | default-jdk
* Remove unused build-dependencies: ant, libjoptsimple-java
* Use gradle-debian-helper to build this package
* Use javahelper to install Javadoc
* New PosixFile_rename.patch to fix the renaming of PosixFile. This patch may
be safe to remove once Gradle is updated to 3.x.
* d/rules: Separate arch-dependent and arch-indep build commands

See Also

Package Description
libnativecall-perl_0.006-1_all.deb Perl 5 interface to foreign functions in Perl code without XS
libnatpmp-dev_20150609-7_i386.deb portable and fully compliant implementation of NAT-PMP (dev files)
libnatpmp1_20150609-7_i386.deb portable and fully compliant implementation of NAT-PMP
libnautilus-extension-dev_3.30.5-2_i386.deb libraries for nautilus components - development version
libnautilus-extension1a_3.30.5-2_i386.deb libraries for nautilus components - runtime version
libnauty2-dev_2.6r10+ds-1_i386.deb library for graph automorphisms -- development package
libnauty2_2.6r10+ds-1_i386.deb library for graph automorphisms -- library package
libnav-msgs-dev_1.12.7-1_i386.deb Messages relating to Robot OS nav, C/C++ interface
libnb-javaparser-java_9+2018-1_all.deb Parser for the Java language which is good for use in tools
libnb-org-openide-modules-java_10.0-2_all.deb Utility classes for modules from the NetBeans Platform
libnb-org-openide-util-java_10.0-2_all.deb Utility classes from the NetBeans Platform
libnb-org-openide-util-lookup-java_10.0-2_all.deb Utility lookup classes from the NetBeans Platform
libnb-platform-devel-java_10.0-2_all.deb Build harness for NetBeans Platform
libnb-platform18-java_10.0-2_all.deb NetBeans Platform for building rich desktop applications in Java
libnbcompat-dev_20180822-5_i386.deb NetBSD pkgsrc compatibility library
Advertisement
Advertisement